Update board identity fields
curl --request PATCH \
--url https://core-api.getaptly.com/api/board/{boardId}/configuration/theme \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"name": "<string>",
"cardName": "<string>",
"color": "#1ec968",
"icon": "fas fa-wrench",
"description": "<string>",
"shortCode": "<string>"
}
'import requests
url = "https://core-api.getaptly.com/api/board/{boardId}/configuration/theme"
payload = {
"name": "<string>",
"cardName": "<string>",
"color": "#1ec968",
"icon": "fas fa-wrench",
"description": "<string>",
"shortCode": "<string>"
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cardName: '<string>',
color: '#1ec968',
icon: 'fas fa-wrench',
description: '<string>',
shortCode: '<string>'
})
};
fetch('https://core-api.getaptly.com/api/board/{boardId}/configuration/theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "<string>",
"cardName": "<string>",
"color": "<string>",
"icon": "<string>",
"description": "<string>",
"shortCode": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "One or more fields are invalid",
"meta": {
"issues": [
{
"field": "to.0.value",
"code": "invalid_format",
"message": "must be a valid email address"
}
]
}
},
"requestId": "<string>"
}Board
Update board identity fields
Updates any of the board’s name, cardName, color, icon, description and shortCode;
at least one is required. color must be a hex color, icon a Font Awesome class string, and
shortCode 1-5 letters or numbers (stored uppercase). Requires update permission and the
key’s “Edit Boards” access.
PATCH
/
api
/
board
/
{boardId}
/
configuration
/
theme
Update board identity fields
Authorizations
ApiKeyHeaderPartnerBearer
Path Parameters
Body
application/json
Response
The board's identity fields after the update.
Show child attributes
Show child attributes